summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>2015-08-28 08:11:29 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-28 08:11:29 +0700
commit4ca86bf38c1ecae5fdac7f01784c4d46505308d5 (patch)
treeb1983b235ce99ad5e1adf373ac4efca22fd30e90
parent2e8f3275a5b2ddb000cfd79ac72f79b4f214c6c7 (diff)
downloadslackbuilds-4ca86bf38c1ecae5fdac7f01784c4d46505308d5.tar.gz
slackbuilds-4ca86bf38c1ecae5fdac7f01784c4d46505308d5.tar.xz
graphics/gimp-plugin-bimp: Added (Batch Image Manipulation Plugin).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--graphics/gimp-plugin-bimp/README5
-rw-r--r--graphics/gimp-plugin-bimp/gimp-plugin-bimp.SlackBuild90
-rw-r--r--graphics/gimp-plugin-bimp/gimp-plugin-bimp.info10
-rw-r--r--graphics/gimp-plugin-bimp/slack-desc19
4 files changed, 124 insertions, 0 deletions
diff --git a/graphics/gimp-plugin-bimp/README b/graphics/gimp-plugin-bimp/README
new file mode 100644
index 0000000000..634bf12c6d
--- /dev/null
+++ b/graphics/gimp-plugin-bimp/README
@@ -0,0 +1,5 @@
+With BIMP you can apply a set of GIMP manipulations on groups of images. It provides an easy to use
+interface and a lot of batch functions:
+
+Resize, Crop, Flip and rotate, Blurring and sharpening, Color (and curve) correction, Watermark,
+Rename, Change compression and format, ... and whatever you want! (almost)
diff --git a/graphics/gimp-plugin-bimp/gimp-plugin-bimp.SlackBuild b/graphics/gimp-plugin-bimp/gimp-plugin-bimp.SlackBuild
new file mode 100644
index 0000000000..0d42d7bfd9
--- /dev/null
+++ b/graphics/gimp-plugin-bimp/gimp-plugin-bimp.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for gimp-plugin-bimp
+#
+# Copyright 2015 Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>
+# All rights reserved.
+#
+# Based on:
+# SBo's cmake-template
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gimp-plugin-bimp
+VERSION=${VERSION:-1.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Let's compile!
+make
+
+# Copy over executable
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/gimp/2.0/plug-ins
+mv bin/bimp $PKG/usr/lib${LIBDIRSUFFIX}/gimp/2.0/plug-ins
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/gimp-plugin-bimp/gimp-plugin-bimp.info b/graphics/gimp-plugin-bimp/gimp-plugin-bimp.info
new file mode 100644
index 0000000000..938c0b49a6
--- /dev/null
+++ b/graphics/gimp-plugin-bimp/gimp-plugin-bimp.info
@@ -0,0 +1,10 @@
+PRGNAM="gimp-plugin-bimp"
+VERSION="1.15"
+HOMEPAGE="https://github.com/alessandrofrancesconi/gimp-plugin-bimp"
+DOWNLOAD="https://github.com/alessandrofrancesconi/gimp-plugin-bimp/archive/v1.15.tar.gz"
+MD5SUM="0d2dd1774f8251bda8a44808b417fef1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gethyn ThomasQuail"
+EMAIL="gethyn@bloodbathsoftworks.com"
diff --git a/graphics/gimp-plugin-bimp/slack-desc b/graphics/gimp-plugin-bimp/slack-desc
new file mode 100644
index 0000000000..f978453ee1
--- /dev/null
+++ b/graphics/gimp-plugin-bimp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gimp-plugin-bimp: gimp-plugin-bimp (Batch Image Manipulation Plugin for GIMP)
+gimp-plugin-bimp:
+gimp-plugin-bimp: With BIMP you can apply a set of GIMP manipulations on groups of
+gimp-plugin-bimp: images. It provides an easy to use interface and a lot of batch
+gimp-plugin-bimp: functions.
+gimp-plugin-bimp:
+gimp-plugin-bimp: Homepage: https://github.com/alessandrofrancesconi/gimp-plugin-bimp
+gimp-plugin-bimp:
+gimp-plugin-bimp:
+gimp-plugin-bimp:
+gimp-plugin-bimp: